mouse = {}
mouse.color = 'orange'
mouse.radius = 15
mouse.x = love.mouse.getX
mouse.y = love.mouse.getY
mouse.l_size = 4
mouse.click_add = 0

function mouse:draw()
    local now = main_clock:getTime()
    love.graphics.setBlendMode("add")
    love.graphics.setLineWidth(12)
    love.graphics.setColor(colors.gold[1],colors.gold[2],colors.gold[2], senoid('cos', 30,3,100) + self.click_add)
    love.graphics.circle('line', self.x(), self.y(), self.radius/2, 300)
    love.graphics.setLineWidth(2)
    love.graphics.setColor(255, 255, 255, senoid('cos', 40, 6, 90))
    love.graphics.line(self.x() + (self.radius-self.l_size)*math.cos(now),
        self.y() + (self.radius-self.l_size)*math.sin(now),
        self.x() + (self.radius+self.l_size)*math.cos(now),
        self.y() + (self.radius+self.l_size)*math.sin(now))
    love.graphics.line(self.x() + (self.radius-self.l_size)*math.cos(now + 2*math.pi/3),
        self.y() + (self.radius-self.l_size)*math.sin(now + 2*math.pi/3),
        self.x() + (self.radius+self.l_size)*math.cos(now + 2*math.pi/3),
        self.y() + (self.radius+self.l_size)*math.sin(now + 2*math.pi/3))
    love.graphics.line(self.x() + (self.radius-self.l_size)*math.cos(now - 2*math.pi/3),
        self.y() + (self.radius-self.l_size)*math.sin(now - 2*math.pi/3),
        self.x() + (self.radius+self.l_size)*math.cos(now - 2*math.pi/3),
        self.y() + (self.radius+self.l_size)*math.sin(now - 2*math.pi/3))
    love.graphics.setLineWidth(0.2)
    love.graphics.setColor(255, 255, 255, 20 - senoid('cos', 20, 1, 0))
    love.graphics.line(0, self.y(), width, self.y())
    love.graphics.setBlendMode('alpha')
end

function mouse:update(dt)
    self.radius = senoid('sin', 4, 1.5, 12)
    self.l_size = senoid('cos', 2, 1.4, 3)
    if love.mouse.isDown(1) then
        self.click_add = 40
    else
        self.click_add = 0
    end
end